import api from './api'


export function getCluesPage(data) {
	return api.get('/crm/clues/page', data, {
		login: true
	})
}

export function getClues(data) {
	return api.get('/crm/clues/get', data, {
		login: true
	})
}

export function createClues(data) {
	return api.post('/crm/clues/create', data, {
		login: true
	})
}

export function updateClues(data) {
	return api.put('/crm/clues/update', data, {
		login: true
	})
}

export function openClues(data) {
	return api.get('/crm/clues/open', data, {
		login: true
	})
}

export function delClues(data) {
	return api.delete(`/crm/clues/delete`, data, {
		login: false
	})
}

export function receiveClues(data) {
	return api.get('/crm/clues/receive', data, {
		login: true
	})
}

export function transferClues(data) {
	return api.post('/crm/clues/transfer', data, {
		login: true
	})
}

export function createCustomer(data) {
	return api.post('/crm/clues/createCustomer', data, {
		login: true
	})
}